import { VMarkedText } from './IMarkedText';
import Subject from './Subject';
export default interface ISubjectLedger {
    link(markedText: VMarkedText): void;
    byName(name: string): Subject | undefined;
    resetSubjects(resetActive?: boolean): void;
    addSubjects(subjects: Iterable<string>, active?: boolean): void;
    subjectColor(subjectName: string): string | undefined;
    subjectStyle(subjectName: string): any;
    activateSubject(subjectName: string): void;
    deactivateSubject(subjectName: string): void;
    toggleSubject(subjectName: string): void;
    activateAllSubjects(): void;
    deactivateAllSubjects(): void;
    lineConnectSubject(subjectName: string): void;
    lineDisconnectSubject(subjectName: string): void;
    toggleLines(subjectName: string): void;
}
